6.0.0-git
2019-03-20

[#7271] Make the behavior of showing sub-folders more "Explorer"-like
Summary Make the behavior of showing sub-folders more "Explorer"-like
Queue DIMP
Queue Version 1.0.1-RC1
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester robert.penz (at) tirol (dot) gv (dot) at
Created 2008-09-01 (3852 days ago)
Due
Updated 2008-09-03 (3850 days ago)
Assigned
Resolved 2008-09-02 (3851 days ago)
Milestone
Patch No

History
2008-09-03 06:11:23 robert (dot) penz (at) tirol (dot) gv (dot) at Comment #3 Reply to this comment
Hmmm, did your test users find the plus symbol? Ours didn't find it, 
to small I guess.
2008-09-02 17:26:10 Michael Slusarz Comment #2
State ⇒ Rejected
Reply to this comment
We did some testing with "normal" computer users and one of the
biggest problems for the users was the handling of sub-folders in
DIMP. Almost nobody clicked onto the "folder and plus"-symbol to get
the sub folders shown, they just clicked onto the name of folder. We
did some research what our users expect from the folder tree and it
got quite clear that they wanted it like in the Explorer.
Disagree.  Our research has shown just the opposite - that users are 
"surprised" if they click on a mailbox name and the folder list 
expands.  That behavior might make sense if the folder is a container, 
but if it is a regular folder clicking on the folder name should open 
the folder *only*, not expand.
2008-09-01 11:03:15 robert (dot) penz (at) tirol (dot) gv (dot) at Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Make the behavior of showing sub-folders more "Explorer"-like
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
We did some testing with "normal" computer users and one of the 
biggest problems for the users was the handling of sub-folders in 
DIMP. Almost nobody clicked onto the "folder and plus"-symbol to get 
the sub folders shown, they just clicked onto the name of folder. We 
did some research what our users expect from the folder tree and it 
got quite clear that they wanted it like in the Explorer.



If you click onto the folder name in the Explorer the folder content 
is show on the right side but also the sub-folder get shown in the 
folder tree. If you click on the "+" symbol only the sub-folders are 
shown.



It would be nice if DIMP could act similar on the click onto the 
folder name and also expand the folders list in this case. Thx.










Saved Queries